# HashFunction enum

Inheritance
  - Object
  - Enum
  - HashFunction

## Constructors

HashFunction ()
  const
HashFunction.fromName (String name)
  Get a HashFunction from its name `name` according to either
  factory

## Values

sha1 → const HashFunction

  SHA-1

sha256 → const HashFunction

  SHA-256

sha512 → const HashFunction

  SHA-256

sha3_256 → const HashFunction

  SHA3-256

sha3_512 → const HashFunction

  SHA3-512

blake2b256 → const HashFunction

  BLAKE2b-256

blake2b512 → const HashFunction

  BLAKE2b-512

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
index → int
  A numeric identifier for the enumerated value.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toName () → String
  Return the hash function's name according to IANA's hash name register or XEP-0300.
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited

## Static Methods

maybeFromName (String name) → HashFunction?
  Like HashFunction.fromName, but returns null if the hash function is unknown

## Constants

values → const List <HashFunction>
  A constant List of the values in this enum, in order of their declaration.
  `[sha1, sha256, sha512, sha3_256, sha3_512, blake2b256, blake2b512]`